pages for ipad mini2

Hi, I'm trying to install pages on my ipad mini, but I get a message saying I need to update to ios10. I cannot do that because I have a iPad mini 2. Can I access an earlier version of the app that would work with my current os? Thanks.

No Answers have been submitted

Be the first to answer this question.  Answer now